Bug 1269452 - SpiceX.cab not offered for installation from IE
Summary: SpiceX.cab not offered for installation from IE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.2
: 3.6.0
Assignee: jniederm
QA Contact: Petr Matyáš
URL:
Whiteboard:
: 1295874 (view as bug list)
Depends On: 1291642
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-07 11:51 UTC by Tomas Jamrisko
Modified: 2019-04-28 13:35 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
If the SPICE ActiveX plug-in fails, make sure you have installed the Microsoft update at https://technet.microsoft.com/library/security/MS15-065. See https://support.microsoft.com/en-us/kb/3072449 for more information.
Clone Of:
Environment:
Last Closed: 2016-04-20 01:10:12 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)
Fails screenshot (37.02 KB, image/png)
2016-01-05 16:54 UTC, Andrei Stepanov
no flags Details
ie (93.14 KB, image/png)
2016-01-07 10:00 UTC, jniederm
no flags Details
install prompt popup (14.46 KB, image/png)
2016-01-15 15:14 UTC, Petr Matyáš
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 47298 0 master MERGED webadmin: Fix of SpiceX.cab not offered in IE 2020-03-04 06:08:36 UTC
oVirt gerrit 47299 0 ovirt-engine-3.6 MERGED webadmin: Fix of SpiceX.cab not offered in IE 2020-03-04 06:08:36 UTC

Description Tomas Jamrisko 2015-10-07 11:51:34 UTC
Description of problem:

SpiceX.cab is not offered for installation when attempting to connect through "Browser Plugin" to a VM

Version-Release number of selected component (if applicable):
3.6.0-0.18

How reproducible:
100 %

Steps to Reproduce:
1. Get a fresh install of win 7
2. Attempt to connect to a VM using "Browser plugin" using IE (either 8 or 11, neither works)

Actual results:
Nothing happens

Expected results:
User should be offered to download and install SpiceX.cab.

Additional info:
3.5 worked without any additional configuration, so this appears to be a regression

Comment 1 Michal Skrivanek 2015-10-09 07:08:21 UTC
no oVirt blocker as .cab delivery is not integrated there

Comment 2 Andrei Stepanov 2015-10-09 07:27:28 UTC
Michal, could you please comment next moment:

1. Go to admin portal
2. Select VM
3. "Console options" dialog has selected "Browser plugin".
4. Press "Console" button

Nothing happens.

"Console Client Resources" page doesn't point to any additional plugins for IE.

How do we get working IE for this particular case?

Comment 3 Michal Skrivanek 2015-10-09 09:13:52 UTC
you should be able to get it to install manually via https://ENGINE/ovirt-engine/services/files/spice/SpiceX_x64.cab

Comment 4 Andrei Stepanov 2015-10-09 09:46:59 UTC
Michal:

* How do I install this file ? I can download it. What next?

SpiceX_x64.cab is .cab file.

PkgMgr.exe utility does not recognize this file.

It cannot be copied somewhere to system. It should be installed be IE as a plugin.

RHEV3.5 has a feature to install this file as a plugin for IE.
RHEV3.5 asks to install this file as add-on to Internet Explorer.

RHEV3.6 does not provide this.

The bug is still TestBlocker.

Comment 5 Michal Skrivanek 2015-10-09 10:28:06 UTC
something like "pkgmgr /ip /m:SpiceX_x64.cab" doesn't work? what is it complaining about?

yes, sure, it's supposed to be installed within IE, but this should work as well.
You can also just get the .msi files from the same location(virt-viewer-x64.msi, usbdk-x64.msi, usbclerk-x64.msi) and install those

Comment 6 Andrei Stepanov 2015-10-09 10:55:43 UTC
pkgmgr.exe refuses to install this .cab file

I have installed all this .msi files.
They are listed at "Console Client Resources".

Nevertheless, ActiveX \ Browser plugin doesn't work.

.msi files do not provide this plugin.

This bug remains as a TestBlocker

Comment 9 Petr Matyáš 2015-12-17 11:35:08 UTC
Browser plugin installation prompt shows up, but if I click on the Install button on the bottom, page only refreshes. However sometimes different installation prompt shows up (not in browser but system prompt), but that also never actually runs.

Tested on 3.6.1-5
Windows 7 x64 SP1
IE11

Comment 10 Eyal Edri 2015-12-17 13:58:07 UTC
RHEV 3.6.0 BETA2 is out, any open bugs are moved to the BETA3 milestone.

Comment 11 jniederm 2016-01-05 16:09:01 UTC
There is a new problem in 3.6.2 builds (git tag rhev-3.6.2-1):

spiceX.cab file is not offered to users, because link /usr/share/ovirt-engine/files/spice -> /usr/share/spice is missing in `rhevm-backend` package, because line 

     ln -s /usr/share/spice "%{buildroot}%{engine_data}/files/spice"

was removed from `ovirt-engine.spec.in`.

Comment 12 Andrei Stepanov 2016-01-05 16:54:29 UTC
Created attachment 1111912 [details]
Fails screenshot

Hello.
I have created symlink. 
ln -s /usr/share/spice /usr/share/ovirt-engine/files/spice
But, SpiceX.cab installation fails.
See screenshot.

rpm -qf /usr/share/spice/SpiceX.cab 
rhevm-spice-client-x86-cab-3.6-5.el6.noarch

Comment 14 jniederm 2016-01-07 10:00:25 UTC
Created attachment 1112404 [details]
ie

Comment 15 jniederm 2016-01-07 10:05:34 UTC
Hi Andrei,

the screenshot (attachment 1111912 [details]) shows that SpiceX.cab file is available to the browser so  the installation should be similar to 3.6.1. It works for me with version 3.6.1.3-0.1.el6 and following steps to allow activeX installation in IE:

1. Sign into webadmin in IE
2. Click 'Gear' icon button > Internet Options
3. Go to 'Security' tab > 'Trusted sites'
4. Add webadmin site to trusted sites using 'Sites' button
5. Reset security level of 'Trusted sites' zone to 'Low' using 'Custom level...' button

Tested on:
RHEVM 3.6.1.3-0.1.el6
Win 7 SP1 32b
IE 10

Comment 16 Andrei Stepanov 2016-01-07 10:30:43 UTC
jniederm thanks. It helps, and it works! The above steps should be added to RHEV documentation.

Problem with symlink still exists. It should be fixed.

Comment 18 Andrei Stepanov 2016-01-11 13:58:25 UTC
Installation of ActiveX controls may fail in Internet Explorer in Windows 7/8/8.1

https://social.msdn.microsoft.com/Forums/office/en-US/5600de05-fe05-408f-937d-79b2e24cc5f1/activex-cab-downloadinstall-problems-after-recent-windows-update-ms15056?forum=ieextensiondevelopment

https://support.microsoft.com/en-us/kb/3072449

To find the download links for this update:
https://technet.microsoft.com/library/security/MS15-065

Debug info: installation fails with (temporary internet files error log starting ?CodeDownloadErrorLog):

<html><pre>
*** Code Download Log entry (11 Jan 2016 @ 14:15:54) ***
Code Download Error: (hr = 800c0400) Unknown Error!!
Operation failed. Detailed Information:
     CodeBase: https://rhevm36.spice.brq.redhat.com/ovirt-engine/services/files/spice/SpiceX.cab
     CLSID: {ACD6D89C-938D-49B4-8E81-DDBD13F4B48A}
     Extension: 
     Type: 

LOG: Reporting Code Download Completion: (hr:800c0400 (FAILED), CLASSID: acd6d89c..., szCODE:(https://rhevm36.spice.brq.redhat.com/ovirt-engine/services/files/spice/SpiceX.cab), MainType:(null), MainExt:(null))
--- Detailed Error Log Follows ---
LOG: Download OnStopBinding called (hrStatus = 0 / hrResponseHdr = 0).
LOG: URL Download Complete: hrStatus:0, hrOSB:800c0400, hrResponseHdr:0, URL:(https://rhevm36.spice.brq.redhat.com/ovirt-engine/services/files/spice/SpiceX.cab)
LOG: Reporting Code Download Completion: (hr:800c0400 (FAILED), CLASSID: acd6d89c..., szCODE:(https://rhevm36.spice.brq.redhat.com/ovirt-engine/services/files/spice/SpiceX.cab), MainType:(null), MainExt:(null))

</pre></html

Comment 19 Petr Matyáš 2016-01-15 15:14:06 UTC
Created attachment 1115179 [details]
install prompt popup

There is still no way to install the plugin, clicking the popup displayed on this screenshot/attachment just refreshes the page. Domain is in trusted sites and security level is low.

RHEV 3.6.2-9
Windows 7 x64
IE 11

Comment 20 Andrei Stepanov 2016-01-15 15:33:37 UTC
Petr, please confirm:

1. that hot-fixes from Microsoft are installed on your Windows. See comment #18. It is essential to have updated Windows. 

2. also, please confirm that you _can_ install cab file from RHEV 3.5.

p.s. I can confirm that I can install cab file from RHEVM 3.6.  (After creating symlink)

Comment 21 Petr Matyáš 2016-01-18 13:23:13 UTC
Sorry for my error, with system fully updated this works correctly.

Comment 22 Tomas Jelinek 2016-02-01 12:43:02 UTC
*** Bug 1295874 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.